package com.app.framework.core.api.request;

import com.app.framework.core.support.auth.LoginUser;
import lombok.Data;

import java.io.Serializable;

/**
 * Api登录用户
 */
@Data
public class ApiLoginUser implements LoginUser, Serializable {

    /**
     * 用户ID
     */
    private Long    id;

    /**
     * 用户姓名
     */
    private String  realName;

    /**
     * 用户登录名
     */
    private String  username;

    /**
     * 用户类型(1:普通注册用户)
     */
    private Integer userType;

    /**
     * 所属机构ID
     */
    private Long    organizationId;

    public static ApiLoginUser userId(Long userId) {
        ApiLoginUser loginUser = new ApiLoginUser();
        loginUser.setId(userId);
        return loginUser;
    }
}
